
QGIS Application - Bug report #20101

[Processing] "Buffer" is not listed as an edit in place algorithm for polygon layer

2018-10-13 06:45 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Processing/Core

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27923

Description

"Buffer" is not listed as an edit in place algorithm for polygon layer while "multi-ring" alg is.

Associated revisions

Revision 51c3c2a6 - 2018-10-18 05:41 PM - Alessandro Pasotti 

Enable in-place buffer on polygons

Fixes #20101 - "Buffer" is not listed as an edit in place algorithm for polygon layer

History

#1 - 2018-10-17 01:25 PM - Alessandro Pasotti

- Tracker changed from Bug report to Feature request

This is not a bug but a feature request: native:buffer algorithm do not inherit from QgsProcessingFeatureBasedAlgorithm hence it is not suitable for

in-place, it needs refactoring.

#2 - 2018-10-18 10:27 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

Let's see if we can sneak this into 3.4 ...

#3 - 2018-10-18 11:32 AM - Alessandro Pasotti

- Status changed from Open to Feedback

Wait, the dissolve option is a showstopper: there is no way to maintain it with a feature based algorithm, need to check with Nyall if we have a recipe for

this kind of situation.

#4 - 2018-10-18 05:41 PM - Alessandro Pasotti

Nevermind, I've found a solution.

2025-04-27 1/2



#5 - 2018-10-18 05:41 PM - Alessandro Pasotti

- Tracker changed from Feature request to Bug report

- Status changed from Feedback to In Progress

- Regression? set to No

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 3.3(master)

#6 - 2018-10-18 05:50 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/8231

#7 - 2018-10-19 10:40 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|51c3c2a6182684961572a0e1f90c6d8c55af21ea.
